
#------------------------------------------------------------------------------
# Project 'Non_Swtch_Battery3PhMarch2018' make using the 'INTEL 10.1.030' compiler.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# All project
#------------------------------------------------------------------------------

all: targets
	@echo !--Make: succeeded.



#------------------------------------------------------------------------------
# Directories, Platform, and Version
#------------------------------------------------------------------------------

Arch        = windows
EmtdcDir    = C:\PROGRA~2\PSCAD4~4\emtdc\if9
EmtdcInc    = $(EmtdcDir)\inc
EmtdcBin    = $(EmtdcDir)\$(Arch)
EmtdcMain   = $(EmtdcBin)\main.obj
EmtdcLib    = $(EmtdcBin)\emtdc.lib


#------------------------------------------------------------------------------
# Fortran Compiler
#------------------------------------------------------------------------------

FC_Name         = ifort.exe
FC_Suffix       = obj
FC_Args         = /nologo /c /free /real_size:64 /fpconstant /warn:declarations /iface:default /align:dcommons /fpe:0
FC_Debug        =  /optimize:1
FC_Preprocess   = /fpp 
FC_Preproswitch = 
FC_Warn         = 
FC_Checks       = /check:bounds
FC_Includes     = /include:"$(EmtdcInc)" /include:"$(EmtdcDir)" /include:"$(EmtdcBin)"
FC_Compile      = $(FC_Name) $(FC_Args) $(FC_Preprocess) $(FC_Preproswitch) $(FC_Includes) $(FC_Debug) $(FC_Warn) $(FC_Checks)

#------------------------------------------------------------------------------
# C Compiler
#------------------------------------------------------------------------------

CC_Name     = cl.exe
CC_Suffix   = obj
CC_Args     = /nologo /MT /W3 /EHsc /c
CC_Debug    =  /O2
CC_Includes = 
CC_Compile  = $(CC_Name) $(CC_Args) $(CC_Includes) $(CC_Debug)

#------------------------------------------------------------------------------
# Linker
#------------------------------------------------------------------------------

Link_Name   = link.exe
Link_Debug  = 
Link_Args   = /out:$@ /nologo /nodefaultlib:libc.lib /nodefaultlib:libcmtd.lib /subsystem:console
Link        = $(Link_Name) $(Link_Args) $(Link_Debug)

#------------------------------------------------------------------------------
# Build rules for generated files
#------------------------------------------------------------------------------


.f.$(FC_Suffix):
	@echo !--Compile: $<
	$(FC_Compile) $<



.c.$(CC_Suffix):
	@echo !--Compile: $<
	$(CC_Compile) $<



#------------------------------------------------------------------------------
# Build rules for file references
#------------------------------------------------------------------------------


#------------------------------------------------------------------------------
# Dependencies
#------------------------------------------------------------------------------


FC_Objects = \
 Station.$(FC_Suffix) \
 Main.$(FC_Suffix) \
 Graphs_and_Controls.$(FC_Suffix) \
 Battery.$(FC_Suffix) \
 DC_DC_Bi.$(FC_Suffix) \
 PI_AntiWindUp_12.$(FC_Suffix) \
 PI_AntiWindUp_15.$(FC_Suffix) \
 VSCandCtrl.$(FC_Suffix) \
 Ctrl.$(FC_Suffix) \
 PI_AntiWindUp_13.$(FC_Suffix) \
 PI_AntiWindUp_14.$(FC_Suffix) \
 PI_AntiWindUp_11.$(FC_Suffix) \
 PI_AntiWindUp_2.$(FC_Suffix) \
 Filter_L.$(FC_Suffix) \
 Chopper.$(FC_Suffix) \
 ConvBridge_Avg_6.$(FC_Suffix) \
 Load.$(FC_Suffix)

FC_ObjectsLong = \
 "Station.$(FC_Suffix)" \
 "Main.$(FC_Suffix)" \
 "Graphs_and_Controls.$(FC_Suffix)" \
 "Battery.$(FC_Suffix)" \
 "DC_DC_Bi.$(FC_Suffix)" \
 "PI_AntiWindUp_12.$(FC_Suffix)" \
 "PI_AntiWindUp_15.$(FC_Suffix)" \
 "VSCandCtrl.$(FC_Suffix)" \
 "Ctrl.$(FC_Suffix)" \
 "PI_AntiWindUp_13.$(FC_Suffix)" \
 "PI_AntiWindUp_14.$(FC_Suffix)" \
 "PI_AntiWindUp_11.$(FC_Suffix)" \
 "PI_AntiWindUp_2.$(FC_Suffix)" \
 "Filter_L.$(FC_Suffix)" \
 "Chopper.$(FC_Suffix)" \
 "ConvBridge_Avg_6.$(FC_Suffix)" \
 "Load.$(FC_Suffix)"

CC_Objects =

CC_ObjectsLong =

UserLibs = C:\Users\AGOHAR~1\DOCUME~1\PSCADS~2\KNOWLE~1\BATTER~2\SIMULA~1\lib\if9\BATTER~1.LIB


SysLibs  = wsock32.lib

Binary   = Non_Swtch_Battery3PhMarch2018.exe

$(Binary): $(FC_Objects) $(CC_Objects) $(UserLibs)
	@echo !--Link: $@
	$(Link) "$(EmtdcMain)" *.$(CC_Suffix) $(UserLibs) "$(EmtdcLib)" $(SysLibs)

targets: $(Binary)


clean:
	-del EMTDC_V*
	-del *.obj
	-del *.o
	-del *.exe
	@echo !--Make clean: succeeded.



